package com.baichuanxin.openrestapi.common;


import com.alibaba.druid.support.spring.stat.annotation.Stat;
import jdk.internal.dynalink.beans.StaticClass;

/**
 *@Author duxiangyun
 *@Description 一网通办常量
 *@Date 2024/8/24
 */
public class OnlineTaskConstant {
    //一网通办办件接口确认通知 0，办件数据接受成功
    public final static String CONFIRM_TYPE_0="0";
    //一网通办办件接口确认通知 1，表单参数异常
    public final static String CONFIRM_TYPE_1="1";
    //一网通办办件接口确认通知 2，缺少附件材料
    public final static String CONFIRM_TYPE_2="2";
    //一网通办办件接口确认通知 3， 业务异常（如户籍地非本省不符合业务办理要求）
    public final static String CONFIRM_TYPE_3="3";
    //一网通办办件接口确认通知  9,其他
    public final static String CONFIRM_TYPE_9="9";

    //一网通办办件接口事项类型,matID。
    // {0、保安服务公司设立；1、保安服务公司法定代表人变更；2、核发保安员证；3、自行招用保安员单位备案；
    // 4、保安服务公司设立分公司，5、保安服务公司跨省、自治区、直辖市提供保安服务备案}
    public final static String MAT_ID_0 ="4e73cab123ad4369a6b0bb30c726e8c2";
    public final static String MAT_ID_1 ="e34482ea3e1a40cd98ad7fc2603f7b72";
    public final static String MAT_ID_2 ="37e6e2d36ccf44e9be54b979ed5e443b";
    public final static String MAT_ID_3 ="b3ff45e15474477c8b40a26798cc8455";
    public final static String MAT_ID_4 ="dacb2c29fec249b6bc328a2babd0cbd0";
    public final static String MAT_ID_5 ="e2878452c42743babc9b1a4d75fd4b1d";

    //一网通办接口地址
    //办件下发成功确认接口
    public final static String ONE_TASK_CONFIRM="http://65.26.1.31:80/one/task/confirm";
    //办件审批结果回传接口
    public final static String ONE_TASK_RESULT="http://65.26.1.31:80/one/task/result";
    //办件结果物回传接口
    public final static String ONE_TASK_RESULT_FILE="http://65.26.1.31:80/one/task/result/file";
    //获取办件回执详情
    public final static String ONE_TASK_GET_FEEDBACK_FILE="http://65.26.1.31:80/one/task/get-feedback-info/";
    //表单ID
    //附件
    public final static String ATTACH = "__XCMakHWlsNkqyYeHRq8";
    //许可申报/保安服务许可申报/SecuritySeviceCompany
    public final static String  SECURITY_SERVICE_K ="__0TXoiEr3uNf7rO0sduB";
    //法人变更
    public final static String  CHANGE_LEGAL_PERSON ="__5pbeYTFpNEdQdpDbtG7";
    //跨区域备案
    public final static String CROSS_REGION = "__2supuDnHvy03jurXd8W";
    //保安员资格证书
    public final static String  CERTIFICATE_SERVICE ="__W6DN5CGFSBTTNy3aSLe";
    //注册分公司
    public final static String  REGISTRATION_BRANCH="__Cf9cHA3xWKgzDNL80xE";
    //自招单位
    public final static String SELF_RECRUITMENT="__Kh9sHO1jncg49KqR2MN";
    //主要管理人员
    public final static String  MANAGER_INFO="__1JvRG0atyPWii0W4jVs";
    //保安员
    public final static String SECURITY_MAN="__JypcS5YrE8lxL0TQSMf";
    //股东信息
    public final static String SHARE_HOLDER="__hb0zj6fDbIzt4NlMZTa";


    //保安员资格证附件信息
    //县级以上医疗机构出具的体检证明
    public final static String FILE_1 = "49c694f42873422fb28e042944bf7628";
    //初中以上学历证明
    public final static String FILE_2 = "c86fa85df4624f86afc16fa7cd497dba";
    //有效身份证原件正、反面
    public final static String FILE_3 = "08e22fb1bbb84a0ba3f7b308dba1309b";

}
